## org.eclipse.emf.ecore
Interface ETypeParameter

All Superinterfaces:
  EModelElement, ENamedElement, EObject, Notifier

All Known Implementing Classes:
  ETypeParameterImpl

    public interface ETypeParameter

extends ENamedElement

A representation of the model object 'EType Parameter'.

Since:
  2.3

  The following features are supported:

  - `EBounds`
See Also:
  `EcorePackage.getETypeParameter()`

Method Summary
`EList<EGenericType>` `getEBounds()` Returns the value of the 'EBounds' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEBounds

    EList<EGenericType> getEBounds()

  Returns the value of the 'EBounds' containment reference list. The list contents are of type `EGenericType`.

  It represents the bounds on the type of argument that be may be used to instantiate this parameter.

  Returns:
    the value of the 'EBounds' containment reference list.
  See Also:
    `EcorePackage.getETypeParameter_EBounds()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.